#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define MAXBC 127

int main()
{
  char buf[MAXBC+1];
  int num;
  int i;
  const double UNTERZO = 1.0 / 3;

  /* richiesta del numero */

  printf ("Numero scelto (intero positivo minore di 100)? ");

  /* lettura e controllo del numero */

  if (gets(buf) == NULL)
  {
    fprintf (stderr, "errore - nessun dato inserito\n");
    exit (1);
  }
  if (sscanf(buf,"%d",&num) != 1)
  {
    fprintf (stderr, "errore - numero non inserito (%s)\n", buf);
    exit (2);
  }
  if ((num < 1) || (num > 100))
  {
    fprintf (stderr, "errore - numero non valido (%d)\n", num);
    exit (3);
  }

  /* intestazione della tabella */

  printf (" N   log10(N)   rcub(N)\n");

  /*  tabella */

  for (i=1; i<=num; i++)
    printf ("%3d %9.6lf %9.6lf \n", i, log10((double)i), pow((double)i,UNTERZO));

  /* fine del programma */

  return 0;
}

