#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#define MAXBC 127

int main()
{
  char buf[MAXBC+1];
  int n_dati;
  double dato;
  double totale = 0.0;
  int i;

  /* richiesta del numero */

  printf ("Quanti dati vuoi inserire? ");

  /* lettura e controllo del limite */

  if (gets(buf) == NULL)
  {
    fprintf (stderr, "errore - nessuna risposta\n");
    exit (1);
  }
  if (sscanf(buf,"%d",&n_dati) != 1)
  {
    fprintf (stderr, "errore - numero non inserito (%s)\n", buf);
    exit (2);
  }
  if (n_dati < 0)
  {
    fprintf (stderr, "errore - numero non valido (%d)\n", n_dati);
    exit (3);
  }

  /* introduzione dei dati */

  for (i=1; i<=n_dati; i++)
  {
    printf ("dato n.%d? ", i);

    if (gets(buf) == NULL)
    {
      fprintf (stderr, "errore - dato non inserito\n");
      exit (3);
    }
    if (sscanf(buf,"%lf",&dato) != 1)
    {
      fprintf (stderr, "errore - dato non valido (%s)\n", buf);
      exit (4);
    }
    
    totale += dato;
  }

  /* stampa della media */

  if (n_dati > 0)
    printf ("media dei dati inseriti = %lf\n", totale / n_dati);

  /* fine del programma */

  return 0;
}

